network/yadifa: Updated for version 2.3.8-7713.

Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
This commit is contained in:
Sergei Fedosoff 2018-12-22 01:00:51 -09:00 committed by Willy Sudiarto Raharjo
parent 90ee0cc890
commit af9ead15fe
4 changed files with 59 additions and 40 deletions

View file

@ -1,24 +1,37 @@
Lightweight authoritative Name Server with DNSSEC capabilities. Developed
by the passionate people behind the .eu top-level domain, YADIFA has been
built from scratch to face today's DNS challenges, with no compromise
on security, speed and stability, to offer a better and safer Internet
experience.
Lightweight authoritative Name Server with DNSSEC capabilities. Developed by
the passionate people behind the .eu top-level domain, YADIFA has been built
from scratch to face todays DNS challenges, with no compromise on security,
speed and stability, to offer a better and safer Internet experience.
Package binaries and shared objects linked here dynamically, but
by-default configure script links it statically, for performance
consideration. Static linking makes sense only on heavy loaded environment
(10+ Mbit DNS traffic, 5000+ queries/second per server).
Package binaries and shared objects linked here dynamically, but by-default
configure script links it statically, for performance consideration. Static
linking makes sence only on heavy loaded environment (10+ Mbit DNS traffic,
5000+ queries/second per server).
YADIFA requires its own user in order to run securely. It is not advised to
run services as root user without special reason.
YADIFA requires its own user in order to run securely. It is not advised
to run services as root user without special reason.
To add yadifa user in system run as root:
# groupadd -g 332 yadifa
# useradd -u 332 -d /var/lib/yadifa -g yadifa -s /bin/false yadifa
In order to run YADIFA during boot process, add to /etc/rc.d/rc.local:
In order to run YADIFA during boot process, add to /etc/rc.d/rc.local :
if [ -x /etc/rc.d/rc.yadifa ]; then
/etc/rc.d/rc.yadifa start
/etc/rc.d/rc.yadifa start
fi
By default this package compiles as shared binaries, but if required it is
possible to build it statically. YADIFA' source by default links staticaly,
because of performance considerations, but in pracatice it takes less effort
to support shared linked binaries. But if you really need it just set
environment variable and run SlackBuild:
USESTATIC=yes ./yadifa.SlackBuild
In case of using static build of YADIFA, you should re-build and re-install
yadifa package each time openssl recieves update to keep your installation
secure.

View file

@ -8,12 +8,12 @@
|-----handy-ruler------------------------------------------------------|
yadifa: yadifa (Yet Another DNS Implementation For All)
yadifa:
yadifa: YADIFA is a lightweight authoritative Name Server with DNSSEC
yadifa: yadifa is a lightweight authoritative Name Server with DNSSEC
yadifa: capabilities. Developed by the passionate people behind the .eu
yadifa: top-level domain, YADIFA has been built from scratch to face today's
yadifa: top-level domain, yadifa has been built from scratch to face todays
yadifa: DNS challenges, with no compromise on security, speed and stability,
yadifa: to offer a better and safer Internet experience.
yadifa:
yadifa:
yadifa: Web site: http://www.yadifa.eu/
yadifa: Web site: https://www.yadifa.eu/home
yadifa:

View file

@ -23,21 +23,21 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=yadifa
VERSION=${VERSION:-2.2.4}
VSUFFIX=${VSUFFIX:-6924}
VERSION=${VERSION:-2.3.8}
VSUFFIX=${VSUFFIX:-7713}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if ! grep -q "^yadifa:" /etc/group; then
echo "Error: $PRGNAM group (yadifa) doesn't exist."
echo "Try creating one with:"
echo "$0: Error: $PRGNAM group (yadifa) doesn't exist."
echo "$0: Try creating one with:"
echo " # groupadd -g 332 yadifa"
exit 1
fi
if ! grep -q "^yadifa:" /etc/passwd; then
echo "Error: $PRGNAM user (yadifa) doesn't exist."
echo "Try creating one with:"
echo "$0: Error: $PRGNAM user (yadifa) doesn't exist."
echo "$0: Try creating one with:"
echo " # useradd -u 332 -d /var/lib/yadifa -g yadifa -s /bin/false yadifa"
exit 1
fi
@ -69,6 +69,16 @@ else
LIBDIRSUFFIX=""
fi
USESTATIC=${USESTATIC:-no}
if [ "$USESTATIC" = "yes" ]; then
SHARED=no
STATIC=yes
else
SHARED=yes
STATIC=no
fi
set -e
rm -rf $PKG
@ -87,15 +97,14 @@ find -L . \
./configure \
--prefix=/usr \
--sysconfdir=/etc/yadifa \
--libdir=/usr/lib${LIBDIRSUFFIX}/yadifa \
--libdir=/usr/lib/yadifa \
--localstatedir=/var/lib/yadifa \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux \
--docdir=/usr/doc/$PRGNAM-$VERSION-${VSUFFIX} \
--with-logdir=/var/log/yadifa \
--enable-silent-rules \
--enable-shared=yes \
--enable-static=no \
--enable-shared=$SHARED \
--enable-static=$STATIC \
--enable-messages \
--enable-ctrl \
--build=$ARCH-slackware-linux
@ -106,18 +115,15 @@ make install DESTDIR=$PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
install --mode=644 $CWD/$PRGNAM.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION-${VSUFFIX}
install --mode=644 $CWD/$PRGNAM.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION-${VSUFFIX}/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
install --mode=644 $CWD/slack-desc $PKG/install/slack-desc
install --mode=755 $CWD/doinst.sh $PKG/install/doinst.sh
mkdir -p $PKG/etc/rc.d
install --mode=644 $CWD/rc.yadifa $PKG/etc/rc.d/rc.yadifa.new
install --mode=755 $CWD/rc.yadifa $PKG/etc/rc.d/rc.yadifa.new
mkdir -p $PKG/var/run/yadifa
chown yadifa:yadifa $PKG/var/run/yadifa
@ -140,4 +146,4 @@ install --mode=644 $CWD/yadifa.logrotate $PKG/etc/logrotate.d/yadifa.new
rm -rf $PKG/etc/yadifa/yadifad.conf
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}_${VSUFFIX}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}

View file

@ -1,8 +1,8 @@
PRGNAM="yadifa"
VERSION="2.2.4"
HOMEPAGE="http://www.yadifa.eu/"
DOWNLOAD="http://cdn.yadifa.eu/sites/default/files/releases/yadifa-2.2.4-6924.tar.gz"
MD5SUM="0a4acf235e9dfb4f0e4f8543c24bb0cd"
VERSION="2.3.8-7713"
HOMEPAGE="https://www.yadifa.eu/home"
DOWNLOAD="https://cdn.yadifa.eu/sites/default/files/releases/yadifa-2.3.8-7713.tar.gz"
MD5SUM="90c67ebf2f4eb6add43191be93610b2f"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""